Package wx :: Package lib :: Package agw :: Module labelbook :: Class FlatBookBase

[frames | no frames]

## Type FlatBookBase

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            FlatBookBase

Known Subclasses:
  `FlatImageBook`, `LabelBook`

Base class for the containing window for LabelBook and FlatImageBook.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name)` Default class constructor.
| ``AddPage`(self, page, text, select, imageId)` Adds a page to the book.
| ``AssignImageList`(self, imglist)` Assigns an image list to the control.
| ``DeleteAllPages`(self)` Deletes all the pages in the book.
| ``DeletePage`(self, page)` Deletes the specified page, and the associated window.
| ``DoSetSelection`(self, window)` Select the window by the provided pointer.
| ``GetImageList`(self)` Returns the associated image list.
| ``GetPageCount`(self)` Returns the number of pages in the book.
| ``GetSelection`(self)` Returns the current selection.
| ``SetPageImage`(self, page, imageId)` Sets the image index for the page.
| ``SetPageText`(self, page, text)` Sets the page label.
| ``SetSelection`(self, page)` Changes the selection from currently visible/selected page to the page given by page.
| ``SetWindowStyleFlag`(self, style)` Sets the window style.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0, name='FlatBookBase')
(Constructor)

Default class constructor.

Parameters: @param parent - parent window @param id - Window id @param pos - Window position @param size - Window size @param style - possible style INB_XXX

  Overrides:
    `wx.Panel.__init__`

### AddPage(self, page, text, select=False, imageId=-1)

Adds a page to the book. The call to this function generates the page changing events

### AssignImageList(self, imglist)

Assigns an image list to the control.

### DeleteAllPages(self)

Deletes all the pages in the book.

### DeletePage(self, page)

Deletes the specified page, and the associated window. The call to this function generates the page changing events.

### DoSetSelection(self, window)

Select the window by the provided pointer.

### GetImageList(self)

Returns the associated image list.

### GetPageCount(self)

Returns the number of pages in the book.

### GetSelection(self)

Returns the current selection.

### SetPageImage(self, page, imageId)

Sets the image index for the page.

### SetPageText(self, page, text)

Sets the page label.

### SetSelection(self, page)

Changes the selection from currently visible/selected page to the page given by page.

### SetWindowStyleFlag(self, style)

Sets the window style.

  Overrides:
    `wx.Window.SetWindowStyleFlag`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:17 2009 | http://epydoc.sf.net